Subject: Re: bug#69532: mv's new -x option should be made orthogonal to -t/-T/default

From: Karel Zak <[email-masked]>
Date: Tue, 5 Mar 2024 21:41:02 +0100

On Tue, Mar 05, 2024 at 02:16:05PM +0000, Pádraig Brady wrote:

> I think having the functionality in mv(1) is better than in rename(1),
> but since exch(1) is already released that's probably
> the best place for this functionality now.
> 
> A separate exch command may be overkill for just this,

rename(1) was also my initial idea, but it's too complex and rarely used
by users for simple tasks like those we can now achieve with the new simple
command exch(1).

> but perhaps related functionality might be added to that command in future.
> For e.g. some of the discussed functionality for a "replace" command
> might reside there.
> 
> So I think I'll remove the as yet unreleased mv --swap from coreutils, given that
> util-linux is as widely available as coreutils on GNU/Linux platforms.

Yes, it seems better to have this Linux-specific feature in
util-linux. We should discuss such changes early next time ;-) 

Thanks for CC:

Karel

-- 
 Karel Zak  <[email-masked]>
 http://karelzak.blogspot.com